Package org.pushingpixels.lafwidget.contrib.blogofbug.swing.components

# Class AbstractCarouselMenuAction

java.lang.Object
javax.swing.AbstractAction
org.pushingpixels.lafwidget.contrib.blogofbug.swing.components.AbstractCarouselMenuAction

All Implemented Interfaces:
  `ActionListener`, `Serializable`, `Cloneable`, `EventListener`, `Action`

public abstract class AbstractCarouselMenuAction extends AbstractAction
An action for the CarouselMenuAction. May be later refactored into a more useful set of fields or removed completely.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ACTION_IMAGE_URL`
A very high resolution (recommend at leat 128x128) image to associate with the action

### Fields inherited from class javax.swing.AbstractAction

`changeSupport, enabled`

### Fields inherited from interface javax.swing.Action

`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

## Constructor Summary

Constructors
Constructor
Description
`AbstractCarouselMenuAction(URL image, String label)`
Creates a new instance of AbstractCarouselMenuAction

## Method Summary

### Methods inherited from class javax.swing.AbstractAction

`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.swing.Action

`accept`

### Methods inherited from interface java.awt.event.ActionListener

`actionPerformed`

## Field Details

### ACTION_IMAGE_URL

public static final String ACTION_IMAGE_URL
A very high resolution (recommend at leat 128x128) image to associate with the action

See Also:
  - Constant Field Values

## Constructor Details

### AbstractCarouselMenuAction

public AbstractCarouselMenuAction(URL image, String label)
Creates a new instance of AbstractCarouselMenuAction

Parameters:
  `image` - The image
  `label` - The text